#!/usr/bin/env python
# -*- coding: utf-8 -*-
import sys
import logging

from PyQt4 import QtGui

from colourterm.mainwindow import MainWindow
from colourterm.resources import init_resources, cleanup_resources

if __name__ == "__main__":
    logging.basicConfig(level=logging.DEBUG)
    app = QtGui.QApplication(sys.argv)
    app.setOrganizationName(u'Snyman')
    app.setOrganizationDomain(u'snyman.info')
    app.setApplicationName(u'ColourTerm')
    init_resources()
    main_window = MainWindow()
    main_window.show()
    exit_code = app.exec_()
    cleanup_resources()
    sys.exit(exit_code)
